using Fantasy.Entitas;
using MongoDB.Bson.Serialization.Attributes;

namespace NB.Game;

public class Fish : Entity
{
    /// <summary>
    /// 配置id
    /// </summary>
    [BsonElement("cid")] public int ConfigId;

    /// <summary>
    /// 重量
    /// </summary>
    [BsonElement("w")] public int Weight;

    /// <summary>
    /// 获取时间
    /// </summary>
    [BsonElement("gt")] public long GetTime;

    /// <summary>
    /// 失效时间
    /// </summary>
    [BsonElement("et")] public long ExpirationTime;

    /// <summary>
    /// 获取地图
    /// </summary>
    [BsonElement("map")] public int Map;

    /// <summary>
    /// 物品所属的容器
    /// </summary>
    [BsonIgnore] FishContainer Container;
}